Robotsystem from Robot Group Leipzig: AbstractObstacle Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# AbstractObstacle Class Reference

`#include <abstractobstacle.h>`

Inheritance diagram for AbstractObstacle:

[legend]
Collaboration diagram for AbstractObstacle:

[legend]
List of all members.

## Detailed Description

Abstract class (interface) for obstacles.

Definition at line 69 of file abstractobstacle.h.

## Public Member Functions
| AbstractObstacle (const OdeHandle &odeHandle, const OsgHandle &osgHandle)
| Constructor.
virtual | ~AbstractObstacle ()
virtual void | update ()=0
| updates the position if the scenegraph nodes
void | setPosition (const osg::Vec3 &pos)
| sets position of the obstacle and creates/recreates obstacle if necessary
osg::Vec3 | getPosition ()
| gives actual position of the obstacle
virtual void | setPose (const osg::Matrix &pose)=0
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual osg::Matrix | getPose ()=0
| gives actual pose of the obstacle
virtual void | setColor (const Color &color)
| sets the obstacle color
## Protected Attributes
osg::Matrix | pose
OdeHandle | odeHandle
OsgHandle | osgHandle

## Constructor & Destructor Documentation

AbstractObstacle | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle
| ) | `[inline]`

  | Constructor. Parameters:
  | odeHandle | containing ODE stuff like world, space and jointgroup
  | osgHandle | containing OSG stuff like scene, color... be used for creation of obstacles
Definition at line 78 of file abstractobstacle.h.

virtual ~AbstractObstacle | ( |  | ) | `[inline, virtual]`

| Definition at line 82 of file abstractobstacle.h.

## Member Function Documentation

virtual osg::Matrix getPose | ( |  | ) | `[pure virtual]`

| gives actual pose of the obstacle Implemented in MeshObstacle, OctaPlayground, PassiveBox, PassiveSphere, and Playground.

osg::Vec3 getPosition | ( |  | ) | `[inline]`

| gives actual position of the obstacle Reimplemented in PassiveBox. Definition at line 100 of file abstractobstacle.h.

virtual void setColor | ( | const Color & | color | ) | `[inline, virtual]`

  | sets the obstacle color Parameters:
  | color | values in RGBA
Definition at line 118 of file abstractobstacle.h.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[pure virtual]`

| sets position of the obstacle and creates/recreates obstacle if necessary Implemented in MeshObstacle, OctaPlayground, PassiveBox, PassiveSphere, and Playground.

void setPosition | ( | const osg::Vec3 & | pos | ) | `[inline]`

| sets position of the obstacle and creates/recreates obstacle if necessary Reimplemented in PassiveBox. Examples: main.cpp. Definition at line 92 of file abstractobstacle.h.

virtual void update | ( |  | ) | `[pure virtual]`

| updates the position if the scenegraph nodes Implemented in MeshObstacle, OctaPlayground, PassiveBox, PassiveSphere, and Playground.

## Member Data Documentation

OdeHandle odeHandle`[protected]`

| Definition at line 125 of file abstractobstacle.h.

OsgHandle osgHandle`[protected]`

| Definition at line 126 of file abstractobstacle.h.

osg::Matrix pose`[protected]`

| Definition at line 120 of file abstractobstacle.h.